import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';
import router from 'umi/router';
import moment from 'moment';

import request from '../../utils/request'

const { Option } = Select;
const { MonthPicker, RangePicker, WeekPicker } = DatePicker;



// 分页
function onChange(pageNumber) {
  console.log('Page: ', pageNumber);
}


/**
 *
 *
 * @param {*} props
 * @returns
 */

const columns = [
  {
    title: '活动标题',
    dataIndex: 'title',
    key: 'title',
    align: 'center',
  },
  {
    title: '活动时间',
    dataIndex: 'startDate',
    key: 'startDate',
    align: 'center',
    render: (x, row) => <><span>{`${moment(row.startDate).format('YYYY-MM-DD')} —— ${moment(row.endDate).format('YYYY-MM-DD')}`}</span></>
  },
  {
    title: '已参加人数',
    dataIndex: 'count',
    key: 'count',
    align: 'center',
  }
];



const header = (props) => {
  const [ data, setData ] = useState({})
//   const [page, changePage] = useState({})
  useEffect(() => {
    getSignList();
  },[])

  // 查询列表
  const getSignList = (e) => {
    request({
        url: '/api/admin/SignList',
        method: 'GET',
        params: {pageNum: 1,pageSize: 10, dynamicId: props.location.query.dynamicId },
    }).then((data) => {
        console.log(data)
        setData(data)
    })
  }

  return (
    <>
      <Button type="primary" className={styles.addBtn}>返回</Button>
      <Table dataSource={data} columns={columns} />
    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
